//
//  TestViewController.m
//  YouaiSDK
//
//  Created by 莫 东荣 on 13-4-9.
//  Copyright (c) 2013年 莫 东荣. All rights reserved.
//

#import "TestViewController.h"
#import "YouaiSDKMgr.h"
#import "YouaiNotifications.h"
#import "YouaiLoginInfo.h"




@interface TestViewController ()

@end

@implementation TestViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        
        [[UIApplication sharedApplication] setStatusBarHidden:YES withAnimation:UIStatusBarAnimationNone];

    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    UIButton *button1 = [UIButton buttonWithType:UIButtonTypeCustom];
    [button1 setTitle:@"登陆" forState:UIControlStateNormal];
    button1.frame = CGRectMake(50.0f, 100.0f, 50.0f, 40.0f);
    button1.tag = 1;
    [button1 addTarget:self action:@selector(toggleButton:) forControlEvents: UIControlEventTouchUpInside];
    [self.view addSubview:button1];
    
    UIButton *button2 = [UIButton buttonWithType:UIButtonTypeCustom];
    [button2 setTitle:@"分享" forState:UIControlStateNormal];
    button2.frame = CGRectMake(150.0f, 100.0f, 50.0f, 40.0f);
    button2.tag = 2;
    [button2 addTarget:self action:@selector(toggleButton:) forControlEvents: UIControlEventTouchUpInside];
    [self.view addSubview:button2];
    
    UIButton *button3 = [UIButton buttonWithType:UIButtonTypeCustom];
//    button3.backgroundColor = [UIColor colorWithRed:0 green:1.0 blue:0 alpha:1.0];
    [button3 setTitle:@"用户中心" forState:UIControlStateNormal];
    button3.frame = CGRectMake(50.0f, 0, 50.0f, 40.0f);
    button3.tag = 3;
    [button3 addTarget:self action:@selector(toggleButton:) forControlEvents: UIControlEventTouchUpInside];
    [self.view addSubview:button3];
    
    UIButton *button4 = [UIButton buttonWithType:UIButtonTypeCustom];
    [button4 setTitle:@"充值" forState:UIControlStateNormal];
    button4.frame = CGRectMake(150.0f, 50.0f, 50.0f, 40.0f);
    button4.tag = 4;
    [button4 addTarget:self action:@selector(toggleButton:) forControlEvents: UIControlEventTouchUpInside];
    [self.view addSubview:button4];
    
    
    
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveLoginMessage:) name:youaiLoginNotification object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receivePayMessage:) name:youaiPaytNotification object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveCenterMessage:) name:youaiCenterNotification object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveShareMessage:) name:youaiShareNotification object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveErrorMessage:) name:youaiErrorNotification object:nil];
    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(receiveExitMessage:) name:youaiExitNotification object:nil];
	// Do any additional setup after loading the view.
}

- (void) toggleButton: (UIButton *) button

{
    
//    if (isOn = !isOn)
//        
//    {
    

    int tag = button.tag;
    if (tag == 1) {
        [[YouaiSDKMgr getInstance] openLogin:@"51342defa46fea122c0e100d" :@"7a6cf796456b6d7c4c2b" :self];
    }
    else if (tag == 2)
    {
        [[YouaiSDKMgr getInstance] openShare:self];
    }
    else if (tag == 3)
    {
        [[YouaiSDKMgr getInstance] openCenter:self];
    }
    else if (tag == 4)
    {
        [[YouaiSDKMgr getInstance] openPay:@"11" :@"你好" : nil : self];
    }
    
//        [button setTitle:@"On" forState:UIControlStateNormal];
//        
//        [button setTitle:@"On" forState:UIControlStateHighlighted];
//        
//        [button setBackgroundColor:[UIColor colorWithWhite:1.0 alpha:0.5]];
    
//    }
    
//    else
//        
//    {
//        
//        [button setTitle:@"Off" forState:UIControlStateNormal];
//        
//        [button setTitle:@"Off" forState:UIControlStateHighlighted];
//        
//        [button setBackgroundImage:baseRed forState:UIControlStateNormal];
//        
//        [button setBackgroundImage:altRed forState:UIControlStateHighlighted];
//        
//    }
}

- (void)receiveLoginMessage:(NSNotification *)notification
{
    NSLog(@"收到登陆信息openid:%@", [[YouaiLoginInfo getInstance] openId]);
    NSLog(@"收到登陆信息token:%@", [[YouaiLoginInfo getInstance] token]);
    NSLog(@"收到登陆信息timestamp:%@", [[YouaiLoginInfo getInstance] timestamp]);
}

- (void)receivePayMessage : (NSNotification *)notification;
{
    NSString *order_id = [notification object];
    NSLog(@"订单ID:%@", order_id);
}
- (void)receiveCenterMessage : (NSNotification *)notification
{
    NSString *message = [notification object];
    NSLog(@"用户中心:%@", message);
}
- (void)receiveShareMessage: (NSNotification *)notification
{
    NSString *message = [notification object];
    NSLog(@"分享:%@", message);
}
- (void)receiveErrorMessage: (NSNotification *)notification
{
    NSString *message = [notification object];
    NSLog(@"出错:%@", message);
}

- (void)receiveExitMessage: (NSNotification *)notification
{
    NSString *message = [notification object];
    NSLog(@"退出:%@", message);
}
//action=login|pay|center|shere

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation
{
    return UIDeviceOrientationIsValidInterfaceOrientation(toInterfaceOrientation);
}

- (BOOL)shouldAutorotate
{
    return YES;
}
- (NSUInteger)supportedInterfaceOrientations
{
    return UIInterfaceOrientationMaskAll;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
